StringHash Class Reference
Inheritance diagram for StringHash:
[legend]
Collaboration diagram for StringHash:
[legend]

## Public Member Functions

| StringHash (int startsize=32)
void | Grow ()
void | Shrink ()
void | SetSize (int newsize)
void | Clear ()
int | Capacity () const
int | Entries () const
void * | Object (int i) const
void * | Object (const String &key) const
void * | Object (const String &key, void *(*create_object)())
void | SetObject (int i, void *object)
void | SetObject (const String &key, void *object)
int | Add (const String &s, void *object=NULL)
int | Find (const String &s, void *(*create_object)()=NULL)
int | Find (const String &s) const
StringHash & | operator= (const StringHash &rhs)
const String & | operator[] (int i) const
String & | operator[] (int i)
void | Delete (unsigned int index)
void | Delete (const String &key)
bool | SlotInUse (int index) const
void | Print ()
void | Print (FILE *file)
void | Print (const char *filename)
String | StringList (char separator=',')
void | ReadLinesFromFile (FILE *file)
void | ReadLinesFromFile (const char *filename)
void | ReadLinesFromFile (IFILE &file)
void | Swap (StringHash &s)
Public Member Functions inherited from StringHashBase
void | setCaseSensitive (bool caseSensitive)

## Static Public Member Functions

static void * | CreateHash ()

## Protected Attributes

String ** | strings
void ** | objects
unsigned int * | keys
unsigned int | count
unsigned int | size
unsigned int | mask
Protected Attributes inherited from StringHashBase
bool | myCaseSensitive

## Additional Inherited Members

Protected Member Functions inherited from StringHashBase
bool | stringsEqual (const String &string1, const String &string2) const
unsigned int | getKey (const String &string) const

## Detailed Description

Definition at line 65 of file StringHash.h.

The documentation for this class was generated from the following files:

- general/StringHash.h
- general/StringHash.cpp